------------------------------------------------------------------------------------------
-- create or load the settings
------------------------------------------------------------------------------------------
function LoadSettings()
	local _settings = PatchDataLoad(Turbine.DataScope.Account, "PlopIamConnected_Settings", settings);
    if (_settings ~= nil) then 
		settings = _settings; 
	end
end
------------------------------------------------------------------------------------------
-- create the save settings
------------------------------------------------------------------------------------------
function SaveSettings()
	settings["windowPosition"]["xPos"] = tostring(PlopIamConnectedWindow:GetLeft());
    settings["windowPosition"]["yPos"] = tostring(PlopIamConnectedWindow:GetTop());
    settings["IconPosition"]["xPosIcon"] = tostring(MainMinimizedIcon:GetLeft());
   	settings["IconPosition"]["yPosIcon"] = tostring(MainMinimizedIcon:GetTop());
	settings["isMinimizeEnabled"]["isMinimizeEnabled"] = settings["isMinimizeEnabled"]["isMinimizeEnabled"];
	settings["isWindowVisible"]["isWindowVisible"] = settings["isWindowVisible"]["isWindowVisible"];
	settings["escEnable"]["escEnable"] = settings["escEnable"]["escEnable"];
	settings["nbrFriends"]["value"] = tonumber(settings["nbrFriends"]["value"]);

	for i=1, tonumber(settings["nbrFriends"]["value"]) do
		settings["friends"]["name" .. i] = tostring(settings["friends"]["name" .. i]);
	end
   
   -- save the settings
	PatchDataSave( Turbine.DataScope.Account, "PlopIamConnected_Settings", settings);
end
